<?php

namespace Drupal\media_jove;

/**
 * Interface JoveUrlResolverInterface.
 *
 * @package Drupal\media_jove
 */
interface JoveUrlResolverInterface {

  /**
   * Returns url to embed JoVE video.
   *
   * @param int|string $id
   *   Video id.
   *
   * @return \Drupal\Core\Url
   *   URL of video.
   */
  public function getEmbedUrl($id);

  /**
   * Parses embed code and returns videoId.
   *
   * @param string $embedCode
   *   JoVE Video URL/Embed code/Video id.
   *
   * @return int
   *   Video id.
   *
   * @throws \InvalidArgumentException
   */
  public function getVideoIdFromEmbedCode($embedCode);

}
