<?php

namespace Drupal\media_jove\Plugin\Validation\Constraint;

use Symfony\Component\Validator\Constraint;

/**
 * Checks if a value is a valid Tweet embed code/URL.
 *
 * @Constraint(
 *   id = "JoveEmbedCode",
 *   label = @Translation("JoVE embed code", context = "Validation"),
 *   type = {"string_long"}
 * )
 */
class JoveEmbedCodeConstraint extends Constraint {

  /**
   * The default violation message.
   *
   * @var string
   */
  public $message = 'Not valid JoVE URL/embed code.';

}
